Developers
V1PartnerTenantsTenantidCommerceCommands

/v1/partner/tenants/{tenantId}/commerce/commands

POST
/v1/partner/tenants/{tenantId}/commerce/commands
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/partner/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/commerce/commands" \  -H "Content-Type: application/json" \  -d '{    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "title": "string",    "description": "string",    "amountMinor": 0,    "stock": 1,    "terms": "string",    "kind": "physical_product",    "action": "offer.submit"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": "string"}